- entityDefinitions:
  - IDI_Task_Device_Edit:    '{92c338b8-828b-41d5-929f-56e454643c58}'
  - IDE_Device_Edit:        '{9223ea8e-aa43-4a90-bdde-cb978088489f}'

  - IDE_Device_Edit_Start: '{a310dacd-b4c1-4f31-a140-05131bbe64e9}'
  - IDM_Device_Edit_Start:  '{63c76968-e26a-4058-927e-771c9190b15b}'

  - IDMB_Device_Edit: '{003ed29c-8826-491e-9a0c-a9f4b5c69928}'
  - IDM_Device_Edit: '{dd7ab568-15b4-4834-9ed6-4a16449e5867}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_Device_Edit;'
    name: 'Edit Device'
    initiatingElement: '&IDE_Device_Edit_Start;'
    taskCategory: '&IDI_TaskCategory_Device;'

  - controlTransactionMethod: '&IDM_Device_Edit_Start;'
    forClassId: '&IDC_Device;'
    verb: ''
    name: 'Device Edit Start'
    buildsResponseWithBRMB: '&IDMB_Device_Edit;'

  - element: '&IDE_Device_Edit_Start;'
    name: 'Edit Device Start'
    processedByCTMethod: '&IDM_Device_Edit_Start;'
    elementContents:
    - globalIdentifier: '{f4e0a7a8-4ec1-4a12-b2cc-abaa84345772}'
      defaultDataType: '&IDE_Device_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_Device_Edit;'
    name: 'Edit Device'
    elementContents:
    - globalIdentifier: '{b789e221-3c0b-49ea-a2f4-58e0e58b1213}'
      defaultDataType: '&IDC_Device;'
      label: 'Device'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{a601df82-ee3e-43f5-a9c8-2afbdefec1c3}'
      defaultDataType: '&IDE_Device_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - buildUIResponseMethod: '&IDM_Device_Edit;'
    usesExecutableReturningElement: '&IDE_Device_Edit;'

  - buildResponseMethodBinding: '&IDMB_Device_Edit;'
    executesMethod: '&IDM_Device_Edit;'
